import { EventEmitter, ChangeDetectorRef, AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { NgForm, NgModel } from '@angular/forms';
import { MatSelectChange } from '@angular/material/select';
export declare class SelectControlComponent implements OnInit, AfterViewInit, OnDestroy {
    private ref;
    private initialized;
    private pModel;
    private pItems;
    private flag;
    name: string;
    multiple: boolean;
    cItems: any[];
    set items(items: any[]);
    valueField: string;
    displayField: string;
    form: NgForm;
    label: string;
    value: string | string[];
    set model(value: any);
    modelChange: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    required: boolean;
    disabled: boolean;
    validator: (value: any) => string | Promise<string>;
    formModel: NgModel;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private onChanges;
    onSelectionChange: (change: MatSelectChange) => void;
    reValidate: () => void;
    private onChange;
}
